package org.dromara.payment.operator.service;

import org.dromara.payment.operator.domain.ReProductInvoice;
import org.dromara.payment.operator.domain.vo.ReProductInvoiceVo;
import org.dromara.payment.operator.domain.bo.ReProductInvoiceBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 产品开票类目Service接口
 *
 * @author LionLi
 * @date 2024-03-28
 */
public interface IReProductInvoiceService {

    /**
     * 查询产品开票类目
     */
    ReProductInvoiceVo queryById(Long id);

    /**
     * 查询产品开票类目列表
     */
    TableDataInfo<ReProductInvoiceVo> queryPageList(ReProductInvoiceBo bo, PageQuery pageQuery);

    /**
     * 查询产品开票类目列表
     */
    List<ReProductInvoiceVo> queryList(ReProductInvoiceBo bo);

    /**
     * 新增产品开票类目
     */
    Boolean insertByBo(ReProductInvoiceBo bo);

    /**
     * 修改产品开票类目
     */
    Boolean updateByBo(ReProductInvoiceBo bo);

    /**
     * 校验并批量删除产品开票类目信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
